#include "gpio.h"

void setupGPIO() {
    DDRC &= ~(1 << PINC0) & ~(1 << PINC1) & ~(1 << PINC2) & ~(1 << PINC3) & ~(1 << PINC4) & ~(1 << PINC5);
    PORTC |= (1 << PINC0) | (1 << PINC1) | (1 << PINC2) | (1 << PINC3) | (1 << PINC4) | (1 << PINC5);
}

void setPinOutput(uint8_t pin) {
    DDRB |= (1 << pin);
}

void setPinInput(uint8_t pin) {
    DDRB &= ~(1 << pin);
}

void setPinHigh(uint8_t pin) {
    PORTB |= (1 << pin);
}

void setPinLow(uint8_t pin) {
    PORTB &= ~(1 << pin);
}